@import "./critical";

.header {
  overflow: hidden;
}

.header__background {
  background-image: url("/assets/main-background.jpg");
  background-repeat: no-repeat;
  background-size: contain;
  background-size: 100%;
}

.navbar {
  padding-top: 60px;
}

.navbar-nav {
  margin-left: auto;
  margin-right: 60px;
}

.nav-item {
  margin-right: 60px;
}

.navbar-brand {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-30;
  color: $main-white-color;
  &:hover {
    color: $main-white-color;
  }
}

.nav-link {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $main-white-color;
  &:hover {
    color: $main-white-color;
  }
}

.header__btn {
  padding: 10px 29px;
  border: 1px solid $main-white-color;
  border-radius: 10px;
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $main-white-color;
  outline: none;
  &:hover {
    color: $main-white-color;
    outline: none;
    border: 1px solid $button-color;
  }
}

.header__form-block_right {
  margin-left: 30px;
}
.header__form {
  max-width: 487px;
  margin-top: 163px;
  margin-left: 20px;
  background-color: $main-white-color;
  border-radius: 15px;
  padding: 25px 44px 14px 44px;
  margin-bottom: 164px;
  margin-bottom: 298;
}

.header__form-email-label {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-16;
  color: $main-black-color;
  margin-bottom: 12px;
}

.header__form-email {
  max-width: 400px;
  background-color: $bg-form-color;
  padding: 17px 201px 17px 25px;
  border-radius: 10px;
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  border: none;
}

.header__form-date-label {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-16;
  color: $main-black-color;
  margin-bottom: 12px;
}

.header__form-date {
  max-width: 185px;
  background-color: $bg-form-color;
  border-radius: 10px;
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  border: none;
  padding: 17px;
}

.header__form-select-label {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-16;
  color: $main-black-color;
  margin-bottom: 12px;
}

.header__form-select {
  max-width: 400px;
  background-color: $bg-form-color;
  padding: 17px 201px 17px 25px;
  border-radius: 10px;
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  border: none;
  margin-bottom: 21px;
}

.form-check-input {
  padding: 9px;
  margin-top: 2px;
  margin-right: 12px;
  &:checked {
    background-color: rgba(133, 199, 211, 1);
    border-color: rgba(133, 199, 211, 1);
  }
  &:focus,
  &:active {
    outline: none !important;
    box-shadow: none !important;
  }
}

.form-check-label {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $main-black-color;
  margin-bottom: 21px;
}

.header__form-btn {
  padding: 21px 122px;
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-20;
  color: $main-white-color;
  white-space: nowrap;
  background-color: $button-color;
  border-radius: 10px;
  border-color: transparent;
  letter-spacing: 0.5px;
  border: 2px solid $button-color;
  transition: 0.4s ease;
  &:hover {
    background-color: transparent;
    color: $button-color;
  }

  &:focus {
    background-color: transparent;
    color: $button-color;
  }
}

.header__basement {
  margin-right: -65px;
  margin-left: 4px;
  bottom: -77px;
}

.header__basement-block {
  background: rgba(243, 249, 251, 1);
  border-bottom-left-radius: 20px;
  border-top-left-radius: 20px;
  padding: 80px 0px 74px 90px;
}

.header__basement-block_decor img {
  width: 86px;
  margin-right: 50px;
}

.header__basement-block_title {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-32;
  color: $text-decor-color;
  margin-right: 90px;
  width: 26%;
}

.header__basement-block_article {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $text-decor-color;

  line-height: 2;
  width: 38%;
}

.header__bubble {
  position: relative;
  width: 250px;
  height: 120px;
  padding: 22px;
  letter-spacing: 0.5;
  background: $main-white-color;
  -webkit-border-radius: 32px;
  -moz-border-radius: 32px;
  border-radius: 32px;
  border: #d6d2d2 solid 9px;
  font-family: $G-font-family;
  font-style: italic;
  font-weight: 600;
  font-size: $font-size-20;
}

.header__bubble:after {
  content: "";
  position: absolute;
  border-style: solid;
  border-width: 20px 20px 0;
  border-color: $main-white-color transparent;
  display: block;
  width: 0;
  z-index: 1;
  bottom: -20px;
  left: 42px;
}

.header__bubble:before {
  content: "";
  position: absolute;
  border-style: solid;
  border-width: 28px 28px 0;
  border-color: #d6d2d2 transparent;
  display: block;
  width: 0;
  z-index: 0;
  bottom: -37px;
  left: 34px;
}

.header__bubble-one-position {
  top: 370px;
  right: 212px;
}

.header__bubble-two-position {
  bottom: 356px;
  right: 467px;
}

.header__icon-one img,
.header__icon-two img {
  width: 85px;
}

.header__icon-one {
  top: 275px;
  right: 600px;
  transform: rotateZ(340deg);
}

.header__icon-two {
  bottom: 310px;
  right: 136px;
}

// header ends
// block two starts

.block-two {
  padding-top: 213px;
  padding-bottom: 177px;
}

.block-two__main-img {
  max-width: 487px;
}

.block-two__img-decoration {
  max-width: 230px;
  bottom: -77px;
  left: 379px;
}

.block-two__img-decoration img {
  border-radius: 20px;
}

.block-two__main-img img {
  border-radius: 20px;
}

.block-two__pointer {
  top: 260px;
  left: 187px;
}

.block-two__title {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-32;
  color: $second-black-color;
  margin-bottom: 40px;
}

.block-two__text {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  line-height: 28px;
  margin-bottom: 40px;
  width: 79%;
}

.block-two__numbers-flex {
  display: flex;
  margin-bottom: 44px;
}

.block-two__number {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-24;
  color: $text-decor-color;
  margin-right: 13px;
}

.block-two__number-info {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $second-black-color;
  margin-right: 34px;
}

.block-two__btn {
  display: inline-block;
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-18;
  background-color: $button-color;
  padding: 21px 23px;
  color: $main-white-color;
  border: none;
  border-radius: 10px;
  letter-spacing: 0.5px;
  border: 2px solid $button-color;
  transition: 0.4s ease;
  &:hover {
    background-color: transparent;
    color: $button-color;
  }

  &:focus {
    background-color: transparent;
    color: $button-color;
  }
}

// block two ends
// block three starts

.block-three {
  background-color: rgba(243, 249, 251, 1);
  background-size: contain;
  padding-top: 157px;
  padding-bottom: 250px;
}

.block-three__text-container {
  padding: 0px 10px 0px 10px;
}

.block-three__title {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-32;
  color: $second-black-color;
  margin-bottom: 9px;
}

.block-three__undertitle {
  display: inline-block;
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-14;
  color: $text-decor-color;
  margin-bottom: 30px;
}

.block-three__text {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  margin-bottom: 44px;
  width: 89%;
}

.block-three__btn {
  display: inline-block;
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-18;
  background-color: $button-color;
  padding: 13px 42px;
  color: $main-white-color;
  margin-right: 31px;
  border: none;
  border-radius: 10px;
  letter-spacing: 0.5px;
  border: 2px solid $button-color;
  transition: 0.4s ease;
  &:hover {
    background-color: transparent;
    color: $button-color;
  }

  &:focus {
    background-color: transparent;
    color: $button-color;
  }
}

.block-three__price-info {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-24;
  color: $second-black-color;
}

.block-three__price-night {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $second-black-color;
}

.block-three__text-box {
  max-width: 467px;
  background-color: $text-decor-color;
  padding: 43px 39px 42px 39px;
  border-radius: 10px;
  bottom: 138px;
  right: 131px;
}

.block-three__text-box_article {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $main-white-color;
  line-height: 28px;
  letter-spacing: 0.4;
  margin-bottom: 13px;
}

.block-three__text-box_credits {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-20;
  color: $main-white-color;
}

.block-three__main-img {
  border-radius: 10px;
  width: 905px;
}

// block three ends
// block four starts

.block-four {
  padding-top: 114px;
  padding-bottom: 191px;
}

.block-four__header {
  text-align: center;
  width: 53%;
  margin: 0 auto;
}

.block-four__title {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-32;
  color: $second-black-color;
  margin-bottom: 32px;
}

.block-four__text {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  margin-bottom: 18px;
}

.block-four__btn {
  display: inline-block;
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-18;
  background-color: $button-color;
  margin-bottom: 112px;
  padding: 13px 42px;
  color: $main-white-color;

  border: none;
  border-radius: 10px;
  letter-spacing: 0.5px;
  border: 2px solid $button-color;
  transition: 0.4s ease;
  &:hover {
    background-color: transparent;
    color: $button-color;
  }

  &:focus {
    background-color: transparent;
    color: $button-color;
  }
}

.block-four__card {
  background-color: $main-white-color;
  max-width: 270px;
  padding-right: 0;
  padding-left: 0;
  border: 1px solid rgba(222, 222, 222, 1);
  border-radius: 10px;
  &:hover {
    background-color: $text-decor-color;
    .block-four__card-name {
      color: $main-white-color;
    }

    .block-four__card-undername {
      color: rgba(241, 241, 241, 1);
    }
  }
}

.block-four__card-name {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-20;
  color: $second-black-color;
  padding: 32px 0px 11px 30px;
}

.block-four__card-undername {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $form-text;
  padding-left: 32px;
  padding-bottom: 36px;
}

.block-four__img img {
  border-top-right-radius: 10px;
  border-top-left-radius: 10px;
}

// block four ends
// block five stars

.block-five {
  padding-top: 126px;
  padding-bottom: 200px;
  background-color: $text-decor-color;
  background-size: contain;
}

.block-five__img img {
  border-radius: 10px;
}

.block-five__review-card {
  background-color: rgba(255, 255, 255, 0.246);
  padding: 51px 48px 0px 48px;
  border-radius: 10px;
}
.block-five__article {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-20;
  color: $main-white-color;
  margin-bottom: 33px;
  line-height: 35px;
}

.block-five__stars {
  display: flex;
  padding-inline-start: 0;
}

.block-five__stars li {
  margin-right: 9px;
}

.block-five__reviewer-name-flex {
  margin-top: 45px;
}

.block-five__name-info {
  margin-right: 388px;
}

.block-five__name {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-24;
  color: $main-white-color;
}

.block-five__undername {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-16;
  color: $main-white-color;
  opacity: 0.7;
}

.block-five__arow-left {
  display: block;
  width: 48px;
  height: 48px;
  background: rgba(255, 255, 255, 0.246);
  border-radius: 50%;
  cursor: pointer;
  margin-right: 12px;
  &:hover {
    background-color: $main-white-color;
  }
}

.block-five__arow-left svg {
  transform: rotateZ(180deg);
  fill: $main-white-color;
  margin: 12px;
}

// .block-five__arow-right {
//   fill: $button-color;
// }

.block-five__arow-right {
  display: block;

  width: 48px;
  height: 48px;
  background: rgba(255, 255, 255, 0.246);
  border-radius: 50%;
  cursor: pointer;
  &:hover {
    background-color: $main-white-color;
  }
}

.block-five__arow-right svg {
  fill: $main-white-color;
  margin: 12px;
}

// block five ends
// footer stars

.footer {
  background-color: rgba(243, 249, 251, 1);
}

.footer__navigation-box {
  background-color: $main-white-color;
  padding: 80px 0px 88px 80px;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  width: 100%;
  top: -135px;
}

.footer__info-header {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-24;
  color: $main-black-color;
  margin-bottom: 30px;
}

.footer__navigation-box_col-center {
  margin-left: 205px;
}

.footer__info-text {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-20;
  color: $form-text;
  line-height: 35px;
  width: 106%;
}

.footer__list-header {
  font-family: $G-font-family;
  font-weight: bold;
  font-size: $font-size-20;
  color: $main-black-color;
  margin-bottom: 30px;
}

.footer__list-item {
  margin-bottom: 24px;
}

.footer__list-item a {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-20;
  color: $form-text;
  &:hover {
    color: $button-color;
  }

  &:focus {
    color: $button-color;
  }
}

.footer__info {
  display: flex;
  justify-content: space-between;
  padding-top: 395px;
}

.footer__copyright {
  font-family: $G-font-family;
  font-weight: normal;
  font-size: $font-size-18;
  color: $main-black-color;
}

.footer__social-media {
  display: flex;
}

.footer__instagram-icon {
  margin-right: 20px;
}

.footer__facebook-icon {
  margin-right: 20px;
}

.footer__facebook-icon,
.footer__instagram-icon,
.footer__twitter-icon {
  fill: $main-black-color;
  cursor: pointer;
  &:hover {
    fill: $button-color;
  }
}
